Package org.apache.tomcat.dbcp.dbcp2

## Class DriverConnectionFactory

- java.lang.Object
- - org.apache.tomcat.dbcp.dbcp2.DriverConnectionFactory

All Implemented Interfaces:
  `ConnectionFactory`

    public class DriverConnectionFactory
    extends java.lang.Object
    implements ConnectionFactory

A `Driver`-based implementation of `ConnectionFactory`.

Since:
  2.0

### Constructor Summary

Constructors
`DriverConnectionFactory​(java.sql.Driver driver, java.lang.String connectString, java.util.Properties properties)` Constructs a connection factory for a given Driver.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.Connection` `createConnection()` Create a new `Connection` in an implementation specific fashion.
`java.lang.String` `getConnectionString()`
`java.sql.Driver` `getDriver()`
`java.util.Properties` `getProperties()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DriverConnectionFactory

    public DriverConnectionFactory​(java.sql.Driver driver,
                                   java.lang.String connectString,
                                   java.util.Properties properties)

Constructs a connection factory for a given Driver.

Parameters:
  `driver` - The Driver.
  `connectString` - The connection string.
  `properties` - The connection properties.

### Method Detail

#### createConnection

    public java.sql.Connection createConnection()
                                         throws java.sql.SQLException

Description copied from interface: `ConnectionFactory`
Create a new `Connection` in an implementation specific fashion.

Specified by:
  `createConnection` in interface `ConnectionFactory`
Returns:
  a new `Connection`
Throws:
  `java.sql.SQLException` - if a database error occurs creating the connection

#### getConnectionString

    public java.lang.String getConnectionString()

Returns:
  The connection String.
Since:
  2.6.0

#### getDriver

    public java.sql.Driver getDriver()

Returns:
  The Driver.
Since:
  2.6.0

#### getProperties

    public java.util.Properties getProperties()

Returns:
  The Properties.
Since:
  2.6.0

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`